Author Topic: Software for the SL-6000  (Read 49869 times)

inode0

  • Jr. Member
  • **
  • Posts: 97
    • View Profile
Software for the SL-6000
« Reply #60 on: January 18, 2005, 11:24:58 am »
Quote
Pls fix link onto your openssl_0.9.7e_arm.ipk package.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=63005\"][{POST_SNAPBACK}][/a][/div]
Oops, I even forgot to put that one on my list above.  It is the userland and library package for openssl. The link should be in working order now.

Thanks,
John

unplug

  • Jr. Member
  • **
  • Posts: 62
    • View Profile
Software for the SL-6000
« Reply #61 on: January 20, 2005, 01:27:51 am »
Still can't get kismet worked for me.  
I tried a couple of settings and always got Can't connect to the server.

SOLVED
« Last Edit: January 20, 2005, 12:10:28 pm by unplug »
SHARP SL-6000L
Sharp ROM
pdaXrom
1GB SD
2 x 512MB CF
HAiCom HI-303S

inode0

  • Jr. Member
  • **
  • Posts: 97
    • View Profile
Software for the SL-6000
« Reply #62 on: February 01, 2005, 02:24:32 am »
Quote
Zaurus Feed Instructions.
I've fixed dependencies as best I can, squeezed a few more bytes out of each package, and made them all happy on SD and CF rather than internal memory.  And the link now has instructions for using the site as a feed and for installing to SD or CF.

A few packages have been withdrawn and some new ones added.  I will add minicom, stunnel, and openssh as time permits.

Please let me know if you have any problems.  I'll do my best to fix them.

John

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
Software for the SL-6000
« Reply #63 on: February 02, 2005, 11:42:55 pm »
very geeky package list  
thanks
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

nilch

  • Hero Member
  • *****
  • Posts: 668
    • View Profile
    • http://
Software for the SL-6000
« Reply #64 on: February 17, 2005, 10:04:00 am »
Did anyone have Netfront on their list of Apps that work on the 6000L ?

Well, now Netfront is avalable also and I have included that alongwith Opera (Netfront works better on some sites where Opera fails - like Gmail etc).

The Netfront is from the Cacko feed of the Cacko 1.22 lite version (for the C7xxx series) and installs perfectly on the 6000L.
Only one problem I faced was that the bookmarks are not being saved - gives an error message on saving (I guess some folder permissions must not be right).
New no more-C1000 / 5000D (sold my 6000 and 750) | Cacko ROM 1.23 on C1000 | 256 MB CF | 2GB PNY SD card | Socket Networker WiFi CF Card | USB Host cable from StreamlineCPUS | Mini Microphone (for voice recording) |

xjqian

  • Sr. Member
  • ****
  • Posts: 497
    • View Profile
    • http://
Software for the SL-6000
« Reply #65 on: February 21, 2005, 04:08:59 am »
Quote
The Netfront is from the Cacko feed of the Cacko 1.22 lite version (for the C7xxx series) and installs perfectly on the 6000L.
Only one problem I faced was that the bookmarks are not being saved - gives an error message on saving (I guess some folder permissions must not be right).
[div align=\"right\"][a href=\"index.php?act=findpost&pid=67495\"][{POST_SNAPBACK}][/a][/div]
It installed correctly and worked pretty well for a while. Then after about 10 times of use, it pops up a windown saying "Netfront can not be used on model s other than SL 3000", then quit.
Besides changes in the setting won't stick, can't save bookmarks, seems all the settings and path variables are all built into the binary. I can't find a setting file to modify manually.
It's nice when it works, but won't last on 6000 is a shame
My Blog | 6000L Tosa + sled | is: Angstrom | was: pdaXrom 1.1.0beta1 | was: stock 1.12 rom + no-ffpe fash kernel + X/Qt Debian |
CF GPS (FGPCFCD01) | USB "Prolific 2303" GPS (USB-UG-200) | Socket CF BT rev. H |  USB "Pegasus II" Ethernet (ADM8511) | PocketTop IR kbd | sip:527630@fwd.pulver.com
Todo: OESF wiki | stable VOIP app | usable GPS app |      Wishlist: VOIP + Bluetooth | GPS + Routing Calc

nilch

  • Hero Member
  • *****
  • Posts: 668
    • View Profile
    • http://
Software for the SL-6000
« Reply #66 on: February 22, 2005, 02:32:45 pm »
I seem to be using Netfront now for more than 10 days (I think so) and so far so good - it has not really crashed on me the way you say it does.

The only thing is the bookmarks are un-save-able
New no more-C1000 / 5000D (sold my 6000 and 750) | Cacko ROM 1.23 on C1000 | 256 MB CF | 2GB PNY SD card | Socket Networker WiFi CF Card | USB Host cable from StreamlineCPUS | Mini Microphone (for voice recording) |

saakmotu

  • Jr. Member
  • **
  • Posts: 73
    • View Profile
    • http://www.bpang.com
Software for the SL-6000
« Reply #67 on: February 27, 2005, 10:07:17 pm »
Quote
The only thing is the bookmarks are un-save-able

I only started using this today, so hopefully I'll make it past 10 days...

but, it's easy to save bookmarks

from the konsole
change to root user
cd to /home/zaurus/Documents
chown -r zaurus Web_Files

now you can save your bookmarks

enjoy


Does  anyone know how to get java applets to play in any Z6k browser?
bricked(?) sl5000d
sl5500 tkcROM
sl5600
sl6000-L
Many sd/cf memory cards
Linksys wcf12 CF WiFi - Dlink CF Wifi - Xircom CompactCard Ethernet 10
Sharp CF Camera
SerialI/O usb cable - iRiver PMP USB Host Adapter Cable

eji

  • Full Member
  • ***
  • Posts: 233
    • View Profile
    • http://charlatan.blogspot.com/
Software for the SL-6000
« Reply #68 on: February 28, 2005, 11:31:57 am »
Quote
FBVNCServer-SL6000 (0.9.5) (+ Added to rc.local) (* The zaurus version you typically find on feeds will cause massive problems, get the version from http://sdgsystems.com/download.html)

[div align=\"right\"][a href=\"index.php?act=findpost&pid=57975\"][{POST_SNAPBACK}][/a][/div]
The newest version of this is 0.9.7 and it's only for "pre-release ROMs," apparently. I tried installing it on my 6000 and I got a "this was compiled for..." error on reboot.

Anyone know of any other VNC server apps for the 6000?
Zaurus SL-6000L w/ Sharp ROM v1.12 - 1GB SanDisk CF - 1GB Lexar SD - Socket Rev. E BT CF | Mac OS X 10.5.x - iMac 24" 2.8Ghz | SIP: 864753@voip.brujula.net - 1 747 603 3461 (Gizmo/SIPhone)

soundwave106

  • Full Member
  • ***
  • Posts: 108
    • View Profile
Software for the SL-6000
« Reply #69 on: March 01, 2005, 11:04:23 am »
I currently use version 0.9.6 of the FB VNC server. Sorry to hear that 0.9.7 doesn't work (I haven't upgraded yet and now won't until the IPK is confirmed to work  ).

You can download 0.9.6 from here.

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
Software for the SL-6000
« Reply #70 on: March 01, 2005, 12:11:13 pm »
This one from sdg works.
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

undrwater

  • Full Member
  • ***
  • Posts: 232
    • View Profile
    • http://
Software for the SL-6000
« Reply #71 on: March 13, 2005, 07:17:45 pm »
Quote
Qconsole works fine in 640x480 mode (fonts are tiny of course) if you uncheck "run magnified".
It doesnt handle a suspend very well if you su to root, but that problem appears on the 5600 as well.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=23509\"][{POST_SNAPBACK}][/a][/div]


I'm not getting the "Run Magnified" option during a tap 'n hold.  Just the run as root option.

Any ideas?

eji

  • Full Member
  • ***
  • Posts: 233
    • View Profile
    • http://charlatan.blogspot.com/
Software for the SL-6000
« Reply #72 on: March 14, 2005, 02:38:59 am »
Quote
I currently use version 0.9.6 of the FB VNC server. Sorry to hear that 0.9.7 doesn't work (I haven't upgraded yet and now won't until the IPK is confirmed to work  ).

You can download 0.9.6 from here.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=68975\"][{POST_SNAPBACK}][/a][/div]

Not working. Same error as 0.9.7. Apparently this was compiled for "pre-release ROMs" (whatever that means) according to the SDG Systems website. Bummer.
Zaurus SL-6000L w/ Sharp ROM v1.12 - 1GB SanDisk CF - 1GB Lexar SD - Socket Rev. E BT CF | Mac OS X 10.5.x - iMac 24" 2.8Ghz | SIP: 864753@voip.brujula.net - 1 747 603 3461 (Gizmo/SIPhone)

xjqian

  • Sr. Member
  • ****
  • Posts: 497
    • View Profile
    • http://
Software for the SL-6000
« Reply #73 on: March 14, 2005, 03:06:34 am »
[div align=\"right\"][a href=\"index.php?act=findpost&pid=68975\"][{POST_SNAPBACK}][/a][/div]
[/quote]

Not working. Same error as 0.9.7. Apparently this was compiled for "pre-release ROMs" (whatever that means) according to the SDG Systems website. Bummer.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=70558\"][{POST_SNAPBACK}][/a][/div]
[/quote]

both 0.9.6 and 0.9.7 should work fine. There's no substantial difference between them. I'm using 0.9.7 since last week. And I used sdg's fbvnc from the version 0.9.5  Never had big issues. eji: can you check whether you have zlib installed? and what version is it?
« Last Edit: March 14, 2005, 03:07:13 am by xjqian »
My Blog | 6000L Tosa + sled | is: Angstrom | was: pdaXrom 1.1.0beta1 | was: stock 1.12 rom + no-ffpe fash kernel + X/Qt Debian |
CF GPS (FGPCFCD01) | USB "Prolific 2303" GPS (USB-UG-200) | Socket CF BT rev. H |  USB "Pegasus II" Ethernet (ADM8511) | PocketTop IR kbd | sip:527630@fwd.pulver.com
Todo: OESF wiki | stable VOIP app | usable GPS app |      Wishlist: VOIP + Bluetooth | GPS + Routing Calc

eji

  • Full Member
  • ***
  • Posts: 233
    • View Profile
    • http://charlatan.blogspot.com/
Software for the SL-6000
« Reply #74 on: March 14, 2005, 04:40:24 am »
Quote from: xjqian,Mar 14 2005, 08:06 AM
[div align=\"right\"][a href=\"index.php?act=findpost&pid=68975\"][{POST_SNAPBACK}][/a][/div]
eji: can you check whether you have zlib installed? and what version is it?
[div align=\"right\"][a href=\"index.php?act=findpost&pid=70561\"][{POST_SNAPBACK}][/a][/div]
[/quote]

I do, and it's version 1.1.2.

No matter which version of FBVNCServer I install, when I reboot afterwards, as I mentioned, I get an error that says it was compiled for a different version of the kernel. I'm running 2.4.18-rmk7, the stock kernel.

I don't want to hijack this software thread chronicling my issues with this app, so I might start a separate thread if I still can't get it working after a few more tries. Thanks, everyone, for all the help thus far.
Zaurus SL-6000L w/ Sharp ROM v1.12 - 1GB SanDisk CF - 1GB Lexar SD - Socket Rev. E BT CF | Mac OS X 10.5.x - iMac 24" 2.8Ghz | SIP: 864753@voip.brujula.net - 1 747 603 3461 (Gizmo/SIPhone)